<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Edit_a_node_pool</id>
		<title>Edit a node pool - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Edit_a_node_pool"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Edit_a_node_pool&amp;action=history"/>
		<updated>2026-04-21T10:16:25Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Edit_a_node_pool&amp;diff=2190&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 109</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Edit_a_node_pool&amp;diff=2190&amp;oldid=prev"/>
				<updated>2015-07-24T18:13:14Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 109&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 18:13, 24 July 2015&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Edit_a_node_pool&amp;diff=2189&amp;oldid=prev</id>
		<title>Donghyun.kim: /* Request Body */</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Edit_a_node_pool&amp;diff=2189&amp;oldid=prev"/>
				<updated>2015-02-06T18:10:54Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;span class=&quot;autocomment&quot;&gt;Request Body&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;='''PUT''' /accounts/''{accountId}''/loadbalancers/''{lbId}''/nodePools/''{nodePoolId}''=&lt;br /&gt;
This operation updates name and/or algorithm of the specified node pool&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;PUT /accounts/''{accountId}''/loadbalancers/''{lbId}''/nodePools/''{nodePoolId}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request Parameters ===&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The selected account id.&lt;br /&gt;
&lt;br /&gt;
; lbId - ''string''&lt;br /&gt;
: The selected loadbalancer id.&lt;br /&gt;
&lt;br /&gt;
; nodePoolId - ''string''&lt;br /&gt;
: The selected node pool id.&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
partial update is supported&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
    &amp;quot;displayName&amp;quot;: &amp;quot;{lbDisplayName}&amp;quot;,&lt;br /&gt;
    &amp;quot;port&amp;quot;: {nodePoolPort},&lt;br /&gt;
    &amp;quot;algorithm&amp;quot;: &amp;quot;{lbAlgorithm}&amp;quot;,&lt;br /&gt;
    &amp;quot;timeout&amp;quot;: {lbTimeout},&lt;br /&gt;
    &amp;quot;protocol&amp;quot;: &amp;quot;{lbProtocol}&amp;quot;&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; displayName - ''string''&lt;br /&gt;
: Optional, The display name of the node pool.&lt;br /&gt;
&lt;br /&gt;
; port - ''integer''&lt;br /&gt;
: Optional, The tcp port the load balancer will act on&lt;br /&gt;
: Allowed range is 1 ~ 65535&lt;br /&gt;
&lt;br /&gt;
; algorithm - ''string''&lt;br /&gt;
: Optional, Load balancing algorithm to be used&lt;br /&gt;
: Allowed values are '''ROUND_ROBIN''' or '''SOURCE_IP'''&lt;br /&gt;
&lt;br /&gt;
; timeout - ''integer''&lt;br /&gt;
: Optional, Load balancer timeout (ex, check, connect timeouts)&lt;br /&gt;
&lt;br /&gt;
; protocol - ''string''&lt;br /&gt;
: Optional, The protocol to be balanced by this load balancer&lt;br /&gt;
: Allowed values are '''TCP''' or '''HTTP'''. (Note: HTTPS is not supported)&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Codes ===&lt;br /&gt;
; 204 No Content&lt;br /&gt;
&lt;br /&gt;
; 400 Bad Request&lt;br /&gt;
: The request has wrong data&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: This server could not verify that you are authorized to access the document you requested.  Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found''&lt;br /&gt;
: The resource does not exist.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Successfully edit partial details of the specified node pool===&lt;br /&gt;
&lt;br /&gt;
'''Request'''&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
PUT /accounts/{accountId}/loadbalancers/0001/nodePools/123&lt;br /&gt;
Content-Type:application/json&lt;br /&gt;
Charset=UTF-8&lt;br /&gt;
Authorization: Basic {Base64-encoded username &amp;amp; password string}&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;displayName&amp;quot;: &amp;quot;New display name&amp;quot;, &lt;br /&gt;
    &amp;quot;algorithm&amp;quot;: &amp;quot;SOURCE_IP&amp;quot;&lt;br /&gt;
}&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
HTTP/1.1 204 OK&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Load Balancer API]]&lt;/div&gt;</summary>
		<author><name>Donghyun.kim</name></author>	</entry>

	</feed>